deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marios Andreou (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DTACLOUD-461) SyntaxError when starting Deltacloud server - Openstack provider (gem 1.0.9)
Date Tue, 12 Feb 2013 10:31:12 GMT

    [ https://issues.apache.org/jira/browse/DTACLOUD-461?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13576527#comment-13576527
] 

Marios Andreou commented on DTACLOUD-461:
-----------------------------------------

pushed with commit # fdbdb7cde983746c40f3be3432c8aa328e022ffa

closing ticket
                
> SyntaxError when starting Deltacloud server - Openstack provider (gem 1.0.9)
> ----------------------------------------------------------------------------
>
>                 Key: DTACLOUD-461
>                 URL: https://issues.apache.org/jira/browse/DTACLOUD-461
>             Project: DeltaCloud
>          Issue Type: Bug
>         Environment: openstack (1.0.9) 
> Deltacloud commit version: 91c891a5ed84a0e0bbb953602e7f296108dea82b
>            Reporter: Ronelle Landy
>            Assignee: Marios Andreou
>         Attachments: 0001-Core-Deltacloud-openstack-driver-1.8.7-compatibility.patch
>
>
> Found this while testing on RHEL 6 - will check it on ruby 1.9.3 as well .. but logging
in the mean time ...
> >>  API_PROVIDER="https://region-a.geo-1.identity.hpcloudsvc.com:35357/v2.0/" ./bin/deltacloudd
-i openstack -r cloud-qe-12.idm.lab.bos.redhat.com -p 3004
> Starting Deltacloud API :: openstack :: https://region-a.geo-1.identity.hpcloudsvc.com:35357/v2.0/
:: http://cloud-qe-12.idm.lab.bos.redhat.com:3004/api
> /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require':
/home/dcloud/workspace/deltacloud/server/lib/deltacloud/drivers/openstack/openstack_driver.rb:492:
syntax error, unexpected ')', expecting '=' (SyntaxError)
> /home/dcloud/workspace/deltacloud/server/lib/deltacloud/drivers/openstack/openstack_driver.rb:730:
syntax error, unexpected kEND, expecting $end
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
> 	from /usr/lib/ruby/gems/1.8/gems/require_relative-1.0.3/lib/require_relative.rb:28:in
`require_relative'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/helpers/driver_helper.rb:59:in
`driver'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/collections/instances.rb:22
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:345:in
`call'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:345:in
`generate'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:343:in
`each'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:343:in
`generate'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:236:in
`operation'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/helpers/rabbit_helper.rb:21:in
`standard_index_operation'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/collections/instances.rb:44
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:109:in
`class_eval'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base.rb:109:in
`generate'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/dsl.rb:36:in
`collection'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/base_collection.rb:56:in
`collection_class'
> 	from /usr/lib/ruby/gems/1.8/gems/sinatra-rabbit-1.1.3/lib/sinatra/rabbit/dsl.rb:34:in
`collection'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/collections/instances.rb:41
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/collections.rb:42
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/collections.rb:39:in `each'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/collections.rb:39
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
> 	from /usr/lib/ruby/gems/1.8/gems/require_relative-1.0.3/lib/require_relative.rb:28:in
`require_relative'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud/server.rb:26
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
> 	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
> 	from /usr/lib/ruby/gems/1.8/gems/require_relative-1.0.3/lib/require_relative.rb:28:in
`require_relative'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud_rack.rb:42:in `require_frontend!'
> 	from /home/dcloud/workspace/deltacloud/server/lib/deltacloud_rack.rb:129:in `require!'
> 	from /home/dcloud/workspace/deltacloud/server/config.ru:62
> 	from /home/dcloud/workspace/deltacloud/server/config.ru:56:in `each'
> 	from /home/dcloud/workspace/deltacloud/server/config.ru:56
> 	from /usr/lib/ruby/gems/1.8/gems/rack-1.5.2/lib/rack/builder.rb:55:in `instance_eval'
> 	from /usr/lib/ruby/gems/1.8/gems/rack-1.5.2/lib/rack/builder.rb:55:in `initialize'
> 	from /home/dcloud/workspace/deltacloud/server/config.ru:1:in `new'
> 	from /home/dcloud/workspace/deltacloud/server/config.ru:1

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message